.accordion-button:not(.collapsed) {
  background-color: #858585;
  color: #fff;
}

body {
  background-color: #858585;
}

.main__container {
  display: flex;
  flex-direction: row;
  min-height: 100vh;
  width: 100%;
  align-items: flex-start;
  justify-content: flex-start;
}

.main__container-width {
  width: 300px;
  height: 50px;
}

.main__container-sidenav {
  position: fixed;
  display: flex;
  flex-direction: column;
  padding: 20px;
  width: 300px;
  align-items: flex-start;
  justify-content: space-between;
  background-color: #fff;
  min-height: 100vh;
  gap: 50px;
}

.main__container--sidenav-logo img {
  height: 58px;
}

.main__container--sidenav-logo {
  align-self: center;
}

.main__container--sidenav-nav {
  flex: 1;
  display: flex;
  flex-direction: column;
  /* gap: 20px; */
  /* justify-content: center; */
  /* align-items: center; */
  margin-top: 2rem;
  /* padding-left: 5rem; */
  width: 100%;
  /* flex: 1; */
  font-size: 1.3rem;
}
.main__container--sidenav-nav .nav-item a {
  color: #000;
}

.main__container--sidenav-nav .nav-item.active {
  background-color: #dedede;
}
.main__container--sidenav--nav-item {
  display: flex;
  /* width: 100%; */
  /* background-color: red; */
  justify-content: space-around;
  align-items: center;
  font-size: 1.3rem;
}

.main__container--sidenav-nav .nav-item {
  padding: 10px 0;
}

.main__container--sidenav-nav .nav-item:hover {
  background-color: #dedede;
}

.main__container--sidenav--nav-item > div:nth-child(1) {
  /* align-self: flex-start;
  justify-self: flex-start; */
  /* background-color: red; */
  flex: 1;
}

.main__container--sidenav--nav-item > div:nth-child(2) {
  align-self: flex-start;
  justify-self: flex-start;
  /* background-color: purple; */
  flex: 5;
}

.main__container--sidenav--nav-item > div:nth-child(3) {
  /* align-self: flex-start;
  justify-self: flex-start; */
  /* background-color: red; */
  flex: 1;
}

.main__container--sidenav-logout {
  background-color: #4d4c4c;
  color: #fff;
  height: 50px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.main__container--sidenav-logout a {
  color: #fff;
  text-decoration: none;
}

.main__container-right {
  width: 100%;
  flex: 1;
  min-height: 100vh;
  background-color: #c9c9c9;
}

.main__container--right-header {
  height: 230px;
  background-color: #ff5e00db;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
  padding: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* width: 100%; */
}

.main__container--right--header-left {
  padding-bottom: 40px;
}

.main__container--right--header-right {
  padding-bottom: 40px;
  color: #fff;
  font-size: 3rem;
}

.main__container--right--header-left > .welcome {
  font-size: 2rem;
  color: #fff;
  font-weight: bold;
}

.main__container--right--header-left > .entityName {
  color: #fff;
  /* font-weight: bold; */
  margin-top: -5px;
}

.user__dropdown {
  width: 240px;
  padding: 0;
}

.user__dropdown-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 30px;
  gap: 20px;
}

.user__dropdown--body--entity-icon {
  font-size: 3rem;
}

.user__dropdown-footer {
  height: 50px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-self: center;
}

.btn__logoff {
  /* height: 20px; */
  width: 100%;
  border-radius: 0;
  font-weight: bold;
}

.btn__edit-profile {
  background-color: #ff5e00db;
  border-radius: 0;
  color: #fff;
}

.btn__edit-profile:hover {
  background-color: #e67e42db;
}

.user__drowdown-header {
  height: 50px;
  background-color: #858585;
  color: #fff;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
}

.user__dropdown > * {
  /* margin: 0 20px; */
}

.main__container--right-body {
  min-height: 100vh;
  background-color: #f8f8f8;
  margin: 0 40px;
  margin-top: -90px;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
}

.main__container--right--body-customers,
.main__container--right--body-dashboard,
.main__container--right--body-devices,
.main__container--right--body-users {
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding: 50px;
  padding-top: 20px;
}

.main__container--right--customers-header,
.main__container--right--dashboard-header,
.main__container--right--devices-header,
.main__container--right--users-header {
  font-size: 2rem;
  font-weight: bold;
  border-bottom: solid 1px #000;
}

.main__container--right--body--dashboard-content {
  display: flex;
  gap: 40px;
  flex-wrap: wrap;
}

.main__container--right--body--dashboard--content-item {
  width: 280px;
  background-color: #fff;
  border-radius: 20px;
  min-height: 250px;
  display: flex;
  flex-direction: column;
  /* height: 100%; */
  /* flex: 1; */
}
.main__container--right--body--dashboard--content--item-title {
  padding: 20px;
  padding-left: 5px;
  font-size: 1.1rem;
  font-weight: bold;
}

.main__container--right--body--dashboard--content--item-hr {
  border-bottom: 1px solid #d1caca;
}

.main__container--right--body--dashboard--content--item-body {
  flex: 1;
  display: flex;
  align-self: center;
  justify-self: center;
  justify-content: center;
  align-items: center;
  /* background-color: red; */
  width: 100%;
}

.main__container--right--customers-header,
.main__container--right--devices-header,
.main__container--right--users-header {
  display: flex;
  justify-content: space-between;
}

.main__container--right--body--customers-content,
.main__container--right--body--devices-content,
.main__container--right--body--users-content {
  width: 100%;
  /* background-color: red; */
}

.main__container-login {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.main__container--login-leftBg {
  width: 50vw;
  background-color: #c9c9c9;
  min-height: 100vh;
}

.main__container--login-rightBg {
  width: 50vw;
  background-color: #fff;
  min-height: 100vh;
}

.main__container--login-boxContainer {
  position: absolute;
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.main__container--login-box {
  height: 450px;
  background-color: #fff;
  width: 800px;
  border-radius: 50px;
  display: flex;
  overflow: hidden;
  /* display: none; */
}

.main__container--login--box-left {
  width: 50%;
  background-color: #edeeee;
  height: 100%;
  /* background-color: #F2F4F7; */
  /* display: flex; */
  /* flex-direction: column; */
  /* align-items: center; */
  /* justify-content: center; */
}

.main__container--login--box--left-infobtn {
  /* display: inline; */
  /* position: relative; */
  /* top: 0; */
  align-self: flex-start;
  justify-self: flex-start;
  position: absolute;
  /* position: relative; */
  /* top: -100px; */
  top: 20px;
  right: 30px;
  font-size: 1.5rem;
  color: darkblue;
  z-index: 100;
}

.main__container--login--box--left-card {
  /* position: relative; */
  /* top:-20px; */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;

  position: relative;
  width: 100%;
  height: 100%;
  cursor: pointer;
  transform-style: preserve-3d;
  transform-origin: center right;
  transition: transform 1s;
  /* background-color: rebeccapurple; */
}

.main__container--login--box--left-card.is-flipped {
  transform: translateX(-100%) rotateY(-180deg);
}

.main__container--login--box--left--card--back-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid #000;
  padding-bottom: 10px;
}
.main__container--login--box--left--card--back-header > .appname {
  font-size: 1.4rem;
  font-weight: bold;
}

.main__container--login--box--left--card--back-tech {
  font-size: 0.9rem;
}

.main__container--login--box--left--card--back-tech .title {
  font-weight: bold;
}

.card__face {
  position: absolute;
  /* width: 100%; */
  /* height: 100%; */
  /* line-height: 260px; */
  /* color: white;
  text-align: center;
  font-weight: bold;
  font-size: 40px; */
  backface-visibility: hidden;
}

.main__container--login--box--left--card-back {
  transform: rotateY(180deg);
  /* margin-top: -50px; */
  /* background-color: blue; */
  width: 100%;
  height: 100%;
  margin-top: 80px;
  padding: 0 50px;
  display: flex;
  flex-direction: column;
}

.main__container--login--box--left--card--back-tech {
  display: flex;
  /* background-color: red; */
  justify-content: space-around;
  /* width: 100%; */
  border-bottom: 1px solid #000;
  padding-bottom: 15px;
}

.github {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  padding-bottom: 20px;
  font-size: 0.8rem;
  gap: 20px;
  border-bottom: 1px solid #000;
  /* background-color: rebeccapurple; */
  width: 100%;
}

.developed {
  display: flex;
  flex-direction: column;
}

.ironhack {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  /* background-color: green; */
  text-align: center;
  font-size: 0.9rem;
}

.ironhack {
  margin-top: 10px;
}

.developed > .title,
.ironhack > .title {
  font-weight: bold;
}
.github img {
  width: 150px;
}

.flyio img {
  width: 100px;
}

.main__container--login--box--left--card-front img {
  margin-top: -30px;
  height: 200px;
}
.main__container--login--box-right {
  width: 50%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}
.main__container--right--body--customers--content-details {
  display: flex;
}

.main__container--right--body--customers--content--details-left {
  width: 50%;
}

.main__container--right--body--customers--content--details-right {
  width: 50%;
}

.field {
  /* border: 1px solid #858585; */
  background-color: #c9c9c9;
  height: 30px;
  margin: 10px 0;
  display: flex;
  align-items: center;
}
.error_triangle {
  margin-left: 10px;
  font-size: 2rem;
  color: red;
  cursor: pointer;
}

.customer__worksheets-container,
.customer__documents-container,
.customer__devices-container,
.customer__notes-container {
  min-height: 200px;
}

.customer__devices--container-header,
.customer__documents--container-header,
.customer__worksheets--container-header,
.customer__notes--container-header {
  text-align: right;
}
.customer__notes--container-list {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  margin: 0 50px;
  /* margin-top: 50px; */
}
.customer__notes--container--list-item {
  width: 250px;
  min-height: 200px;
  border: 2px solid #000;
  background-color: #fefe9c;
}

.customer__notes--container--list--item-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 30px;
  padding: 0 10px;
  gap: 10px;
  border-bottom: 1px solid #000;
}
.customer__notes--container--list--item-body {
  margin: 20px;
}
.customer__notes--container--list--item-footer {
}

.empty_section {
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}
